OpenVDB: LLVMType< openvdb::math::Mat3< T > > Struct Template Reference

OpenVDB 12.0.1 |

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | List of all members
LLVMType< openvdb::math::Mat3< T > > Struct Template Reference

`#include <openvdb_ax/codegen/Types.h>`

Inheritance diagram for LLVMType< openvdb::math::Mat3< T > >:

## Public Types
using | LLVMTypeT

## Static Public Member Functions
static llvm::Type * | get (llvm::LLVMContext &C)
| Return an LLVM type which represents T.
static llvm::Constant * | get (llvm::LLVMContext &C, const T V)
| Return an LLVM constant Value which represents T value.
static llvm::Constant * | get (llvm::LLVMContext &C, const T *const V)
| Return an LLVM constant which holds an uintptr_t, representing the current address of the given value.
static llvm::Constant * | get (llvm::LLVMContext &C, const openvdb::math::Mat3< T > &value)
static llvm::Constant * | get (llvm::LLVMContext &C, const openvdb::math::Mat3< T > *const value)

## Member Typedef Documentation

## ◆ LLVMTypeT

using LLVMTypeT
| inherited

## Member Function Documentation

## ◆ get() [1/5]

static llvm::Constant * get | ( | llvm::LLVMContext & | C,
|  | const openvdb::math::Mat3< T > & | value )
| inlinestaticinherited

## ◆ get() [2/5]

static llvm::Constant * get | ( | llvm::LLVMContext & | C,
|  | const openvdb::math::Mat3< T > *const | value )
| inlinestaticinherited

## ◆ get() [3/5]

static llvm::Type * get | ( | llvm::LLVMContext & | C | ) |
| inlinestatic

Return an LLVM type which represents T.

Parameters

  C | The LLVMContext to request the Type from.

## ◆ get() [4/5]

static llvm::Constant * get | ( | llvm::LLVMContext & | C,
|  | const T *const | V )
| inlinestatic

Return an LLVM constant which holds an uintptr_t, representing the current address of the given value.

Parameters

  C | The LLVMContext
  V | The address of a given type to convert to an LLVM constant

## ◆ get() [5/5]

static llvm::Constant * get | ( | llvm::LLVMContext & | C,
|  | const T | V )
| inlinestatic

Return an LLVM constant Value which represents T value.

Parameters

  C | The LLVMContext
  V | The value to convert to an LLVM constant

Returns
  If successful, returns a pointer to an LLVM constant which holds the value T.